## ros-indigo-phantomx-reactor-arm-controller 0.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(phantomx_reactor_arm_controller)

find_package(catkin REQUIRED COMPONENTS rospy arbotix_python)

catkin_python_setup()
catkin_package()

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(PROGRAMS src/phantomx_reactor.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-phantomx-reactor-arm-controller (0.1.4-0trusty) trusty; urgency=high

  * modified 4dof launch file
  * Contributors: carlos3dx

 -- Roberto Guzmán <rguzman@robotnik.es>  Sun, 04 Sep 2016 22:00:00 -0000

ros-indigo-phantomx-reactor-arm-controller (0.1.3-0trusty) trusty; urgency=high

  * Corrected the Cmakelists and Setup.py files
  * Changing path in setup.py
  * Adding missing dependencies
  * Contributors: AliquesTomas

 -- Roberto Guzmán <rguzman@robotnik.es>  Tue, 09 Aug 2016 22:00:00 -0000

ros-indigo-phantomx-reactor-arm-controller (0.1.2-0trusty) trusty; urgency=high



 -- Roberto Guzmán <rguzman@robotnik.es>  Mon, 08 Aug 2016 22:00:00 -0000

ros-indigo-phantomx-reactor-arm-controller (0.1.1-0trusty) trusty; urgency=high

  * Added package to indigo and wiki
  * Adding controller and description. Only for 4dof for now
  * Contributors: AliquesTomas, RomanRobotnik

 -- Roberto Guzmán <rguzman@robotnik.es>  Mon, 08 Aug 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-phantomx-reactor-arm-controller
Section: misc
Priority: extra
Maintainer: Roberto Guzmán <rguzman@robotnik.es>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-arbotix-python, ros-indigo-catkin, ros-indigo-rospy
Homepage: http://wiki.ros.org/phantomx_reactor_arm_controller
Standards-Version: 3.9.2

Package: ros-indigo-phantomx-reactor-arm-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-arbotix-python, ros-indigo-rospy
Description: The phantomx_reactor_arm_controller package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-phantomx-reactor-arm-controller//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
